Waive Verification Steps
curl --request POST \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"step_types": [],
"reason": "<string>"
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers"
payload = {
"step_types": [],
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({step_types: [], reason: '<string>'})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'step_types' => [
],
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers"
payload := strings.NewReader("{\n \"step_types\": [],\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"step_types\": [],\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"step_types\": [],\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"waived_step_types": [
"id_check"
]
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Check-ins
Waive check-in steps
Mark check-in steps as done for one stay.
POST
/
v1
/
workspaces
/
{workspace_id}
/
portal-check-ins
/
{reservation_id}
/
waivers
Waive Verification Steps
curl --request POST \
--url https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"step_types": [],
"reason": "<string>"
}
'import requests
url = "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers"
payload = {
"step_types": [],
"reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({step_types: [], reason: '<string>'})
};
fetch('https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'step_types' => [
],
'reason' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers"
payload := strings.NewReader("{\n \"step_types\": [],\n \"reason\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"step_types\": [],\n \"reason\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.conduit.ai/v1/workspaces/{workspace_id}/portal-check-ins/{reservation_id}/waivers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"step_types\": [],\n \"reason\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"waived_step_types": [
"id_check"
]
}
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}{
"error": "Invalid workspace id"
}Authorizations
Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.
Path Parameters
Workspace identifier
Minimum string length:
1PMS reservation identifier of the stay, the reservation external_id that list_portal_sessions returns
Minimum string length:
1Body
application/json
Check-in steps to mark as done for this stay
Minimum array length:
1Available options:
id_check, agreement, damage_waiver, security_deposit, mandatory_fee, guest_details, additional_questions, other_guests, guest_registration, custom_field_gate Why the steps were waived, kept with the waiver for your team
Maximum string length:
500Response
Waive Verification Steps
Show child attributes
Show child attributes
Was this page helpful?